import type { Express } from "express";
import available from "./availableScanIds.route.js";
import downloads from "./downloadApps.route.js";
import lanes from "./laneCheck.js";
import authPin from "./mobileAuth.route.js";
import newPin from "./mobilePin.route.js";
import logs from "./scanLogs.route.js";
import version from "./version.route.js";

export const setupMobileRoutes = (baseUrl: string, app: Express) => {
	//stats will be like this as we dont need to change this

	app.use(`${baseUrl}/api/mobile/version`, version);
	app.use(`${baseUrl}/api/mobile/apk`, downloads);
	app.use(`${baseUrl}/api/mobile/logs`, logs);
	app.use(`${baseUrl}/api/mobile/auth`, authPin);
	app.use(`${baseUrl}/api/mobile/pin`, newPin);
	app.use(`${baseUrl}/api/mobile/laneCheck`, lanes);
	app.use(`${baseUrl}/api/mobile/available`, available);

	// all other system should be under /api/system/*
};
